
*import sas m_d_903, clear
use m_d_903, clear

* keep only women aged 21-35 w/2nd kid age =>1

destring agem, replace
keep if agem >=21
keep if agem <=35

keep if kidcount >=2

keep if age2ndk != "NA"
destring age2ndk, replace
keep if age2ndk >= 1

keep if aage==0 & aage2nd==0 & asex==0 & asex2nd==0

destring fertil, replace
gen fertdif = kidcount-(fertil-1)

gen agefstm = agem-agek

keep if agefstm >= 15

keep if pwgtm1>0

gen samesex = 0
replace samesex = 1 if sexk==sex2ndk

gen morekids= 0
replace morekids = 1 if kidcount > 2

*race
destring racem, replace
destring hispm, replace

gen hispanic = 0
replace hispanic = 1 if hispm>0

gen white = 0
replace white = 1 if racem == 1
*replace white = 1 if hispanic==1

gen black = 0
replace black = 1 if racem == 2
*replace black = 0 if hispanic ==1

gen other_race = 1
replace other_race = 0 if racem ==1
replace other_race = 0 if racem ==2
*replace other_race = 0 if hispanic == 1

*boy1 and boy2 dummies
destring sexk, replace
gen boy1 = 0
replace boy1 = 1 if sexk ==0
destring sex2ndk, replace
gen boy2 = 0
replace boy2 = 1 if sex2ndk ==0

*worked for pay dummy
gen mwfp = 0
destring week89m, replace
destring incomem1, replace
replace mwfp = 1 if incomem1>0

*save as stata file
save pums90, replace


* Check baseline IV
ivregress 2sls mwfp (morekids = samesex), robust first
